CREATE OR REPLACE PROCEDURE sp_fco_baja_autorizaciones
(
  i_compania	    char,
  i_autorizacion	    number
)
AS
BEGIN
	BEGIN
		DELETE fco_autorizaciones_det
		WHERE compania = i_compania And
         	autorizacion = i_autorizacion;
/*
	EXCEPTION
		WHEN OTHERS THEN 
			raise_application_error(-20001, 'Error al tratar de borrar de la tabla [fco_autorizaciones_det]');
			return;
*/
	END;		

	BEGIN
		DELETE fco_autorizaciones
		WHERE compania = i_compania And
          autorizacion = i_autorizacion;
/*
	EXCEPTION
		WHEN OTHERS THEN
			raise_application_error(-20001, 'Error al tratar de borrar de la tabla [fco_autorizaciones]');
			return;
*/
	END;

	COMMIT WORK;
END;
/

CREATE PUBLIC SYNONYM sp_fco_baja_autorizaciones FOR ADAM.sp_fco_baja_autorizaciones;
GRANT EXECUTE ON sp_fco_baja_autorizaciones TO adama;

